<?php
function blog_favicon() { ?>
	<link rel="shortcut icon" href="<?php echo bloginfo('stylesheet_directory') ?>/img/favicon.ico" > 
<?php }
add_action('wp_head', 'blog_favicon');


function add_theme_scripts(){
	//css
	wp_enqueue_style( 'bootstrap.min', get_template_directory_uri().'/css/bootstrap.min.css');
	wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/css/font-awesome.css');
	wp_enqueue_style( 'animate', get_template_directory_uri().'/css/animate.css');
	
	wp_enqueue_style( 'jquery.onebyone', get_template_directory_uri().'/css/jquery.onebyone.css');
	wp_enqueue_style( 'slider', get_template_directory_uri().'/css/slider.css');
	wp_enqueue_style( 'style', get_template_directory_uri().'/style.css');
	wp_enqueue_style( 'hidden', get_template_directory_uri().'/css/hidden.css');

	//script
	wp_enqueue_script('jquery-1.10.2.min', get_template_directory_uri().'/js/jquery-1.10.2.min.js');
	wp_enqueue_script('bootstrap.min', get_template_directory_uri().'/js/bootstrap.min.js');
	wp_enqueue_script('jquery.min', get_template_directory_uri().'/js/jquery.min.js');
	wp_enqueue_script('jquery.flexisel', get_template_directory_uri().'/js/jquery.flexisel.js');
	wp_enqueue_script('jquery.onebyone.min', get_template_directory_uri().'/js/jquery.onebyone.min.js');
	wp_enqueue_script('js_func', get_template_directory_uri().'/js/js_func.js');

}
add_action('wp_enqueue_scripts','add_theme_scripts');

//////////////////////////////////////////////////////////////////////////////////////
require( get_template_directory() . '/inc/dashborad.php' );
require( get_template_directory() . '/inc/security.php' );

///////////////////////////////////////////////////////////////////////////////////////////////////////
// wyswing editor

add_filter( 'acf/fields/wysiwyg/toolbars' , 'my_toolbars'  );
function my_toolbars( $toolbars )
{
	// Uncomment to view format of $toolbars
	/*
	echo '< pre >';
		print_r($toolbars);
	echo '< /pre >';
	die;
	*/

	// Add a new toolbar called "Very Simple"
	// - this toolbar has only 1 row of buttons
	$toolbars['Very Simple' ] = array();
	$toolbars['Very Simple' ][1] = array('bold' , 'italic' , 'underline' );

	// Edit the "Full" toolbar and remove 'code'
	// - delet from array code from http://stackoverflow.com/questions/7225070/php-array-delete-by-value-not-key
	if( ($key = array_search('code' , $toolbars['Full' ][2])) !== false )
	{
	    unset( $toolbars['Full' ][2][$key] );
	}

	// remove the 'Basic' toolbar completely
	unset( $toolbars['Basic' ] );

	// return $toolbars - IMPORTANT!
	return $toolbars;
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//support widgets
function arphabet_widgets_init() {

	register_sidebar( array(
		'name'          => 'Home right sidebar',
		'id'            => 'home_right_1',
		'before_widget' => '<div>',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="rounded">',
		'after_title'   => '</h2>',
	) );

}
add_action( 'widgets_init', 'arphabet_widgets_init' );
///////////////////////////////////////////////////////////////////////////////

wpcf7_add_shortcode('postdropdown', 'createbox');
function createbox(){ 
$test  =  get_the_ID();
$value = get_the_title($test);
$output = '<input type="text" id="inputEmail3" class="form-control" name="cursus" value="'.$value.'">';
return $output;	
}
 //////////////////////////////////////////

function mytheme_setup() {
   	register_nav_menus( array(  // Register all nav menus.
		'primary' => __( 'Primary Menu', 'mytheme' ),
		'footer' => __( 'Footer Menu', 'mytheme' )
	) );
	
 
}
add_action( 'after_setup_theme', 'mytheme_setup' );
///////////////////////////////////////////////////////////////////////////////////////


add_theme_support( 'post-thumbnails' );  // theme support featured image 
///////////////////////////////////////////////////////////
function myextensionTinyMCE($init) {
    // Command separated string of extended elements
	$ext = 'span[id|name|class|style],div[id|name|class|style],a[id|name|class|style|href]';

    // Add to extended_valid_elements if it alreay exists
    if ( isset( $init['extended_valid_elements'] ) ) {
        $init['extended_valid_elements'] .= ',' . $ext;
    } else {
        $init['extended_valid_elements'] = $ext;
    }

    // Super important: return $init!
    return $init;
}
add_filter('tiny_mce_before_init', 'myextensionTinyMCE' );
///////////////////////////////////////////////////////////////////
///////////////////////////
function startwordpress_wp_title( $title, $sep ) {
	global $paged, $page;

	if ( is_feed() )
		return $title;

	// Site name.
	$title .= get_bloginfo( 'name' );

	// // Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";

	// Page number.
	if ( $paged >= 2 || $page >= 2 )
		$title =  "$title $sep " . sprintf( __( 'Page %s', 'mytheme' ), max( $paged, $page ) );

	return $title;
} 
add_filter( 'wp_title', 'startwordpress_wp_title', 10, 2 );
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function no_wordpress_errors(){
  return 'Something is wrong!';
}
add_filter( 'login_errors', 'no_wordpress_errors' );

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
?>